<?php

class mysqlpregunta {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;
  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }


public function nuevaPregunta($pregunta,$respuesta){
$querypregunta ="INSERT INTO tblpreguntas( PREGUNTA, BREVE, ESTADO)
                     VALUES ('$pregunta','$respuesta','1')";
    if(mysql_query($querypregunta)){
      return "1";
    }else{
      return mysql_error();
    }

}


  public function getPreguntas(){
    $querypreguntas = $this->read("SELECT ID_PREGUNTA, PREGUNTA, BREVE, ESTADO FROM tblpreguntas
                                    WHERE ESTADO ='1'");
    return $querypreguntas;
  }

    public function getPreguntaID($id_pregunta){
    $querypreguntas = mysql_query("SELECT ID_PREGUNTA, PREGUNTA, BREVE, ESTADO
                                       FROM tblpreguntas WHERE  ID_PREGUNTA = '$id_pregunta'");
   

      while( $resultado = mysql_fetch_array($querypreguntas) ) { 
      return $resultado['BREVE']; 
    }  
  }

    public function getPreguntasALL(){
    $querypreguntas = $this->read("SELECT ID_PREGUNTA, PREGUNTA, BREVE, ESTADO FROM tblpreguntas");
    return $querypreguntas;
  }

  //UPDATES

public function updaterespuesta($id_pregunta,$respuesta){
     $updaterespuesta = "UPDATE tblpreguntas SET BREVE='$respuesta'
                         WHERE ID_PREGUNTA = '$id_pregunta'";
     if(mysql_query($updaterespuesta)){
        return "1";
     }else{
      return mysql_errno();

     }
}
public function updatepregunta($id_pregunta,$pregunta){
     $updatepregunta = "UPDATE tblpreguntas SET PREGUNTA='$pregunta'
                         WHERE ID_PREGUNTA = '$id_pregunta'";
     if(mysql_query($updatepregunta)){
        return "1";
     }else{
      return mysql_errno();

     }
}

public function updateestado($id_pregunta,$estado){
     $updateestado = "UPDATE tblpreguntas SET ESTADO='$estado'
                         WHERE ID_PREGUNTA = '$id_pregunta'";
     if(mysql_query($updateestado)){
        return "1";
     }else{
      return mysql_errno();

     }
}






 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>